# Generated by Django 4.2.4 on 2024-01-10 15:28

import django.contrib.auth.models
from django.db import migrations, models
import django.db.models.deletion
import phonenumber_field.modelfields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='Address',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='Jobsite', max_length=100)),
                ('street_address', models.CharField(max_length=100)),
                ('city', models.CharField(max_length=100)),
                ('state', models.CharField(choices=[('AK', 'Alaska'), ('AL', 'Alabama'), ('AR', 'Arkansas'), ('AZ', 'Arizona'), ('CA', 'California'), ('CO', 'Colorado'), ('CT', 'Connecticut'), ('DC', 'District of Columbia'), ('DE', 'Delaware'), ('FL', 'Florida'), ('GA', 'Georgia'), ('HI', 'Hawaii'), ('IA', 'Iowa'), ('ID', 'Idaho'), ('IL', 'Illinois'), ('IN', 'Indiana'), ('KS', 'Kansas'), ('KY', 'Kentucky'), ('LA', 'Louisiana'), ('MA', 'Massachusetts'), ('MD', 'Maryland'), ('ME', 'Maine'), ('MI', 'Michigan'), ('MN', 'Minnesota'), ('MO', 'Missouri'), ('MS', 'Mississippi'), ('MT', 'Montana'), ('NC', 'North Carolina'), ('ND', 'North Dakota'), ('NE', 'Nebraska'), ('NH', 'New Hampshire'), ('NJ', 'New Jersey'), ('NM', 'New Mexico'), ('NV', 'Nevada'), ('NY', 'New York'), ('OH', 'Ohio'), ('OK', 'Oklahoma'), ('OR', 'Oregon'), ('PA', 'Pennsylvania'), ('RI', 'Rhode Island'), ('SC', 'South Carolina'), ('SD', 'South Dakota'), ('TN', 'Tennessee'), ('TX', 'Texas'), ('UT', 'Utah'), ('VA', 'Virginia'), ('VT', 'Vermont'), ('WA', 'Washington'), ('WI', 'Wisconsin'), ('WV', 'West Virginia'), ('WY', 'Wyoming')], max_length=2)),
                ('zip_code', models.CharField(max_length=5)),
            ],
            options={
                'verbose_name_plural': 'addresses',
                'ordering': ['state', 'zip_code', 'street_address'],
                'unique_together': {('street_address', 'city', 'state', 'zip_code')},
            },
        ),
        migrations.CreateModel(
            name='Company',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
            ],
            options={
                'verbose_name_plural': 'companies',
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='Contact',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('email', models.EmailField(blank=True, max_length=254)),
                ('phone', phonenumber_field.modelfields.PhoneNumberField(blank=True, max_length=128, null=True, region=None)),
                ('job_title', models.CharField(blank=True, max_length=200, null=True)),
                ('company', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='jobs.company')),
            ],
            options={
                'ordering': ['name'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Job',
            fields=[
                ('number', models.IntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100)),
                ('award_date', models.DateField()),
                ('modeling', models.BooleanField(default=False, verbose_name='3D modeling included')),
                ('model_upload', models.CharField(blank=True, max_length=200, verbose_name='3D model upload link')),
                ('archived', models.BooleanField(default=False)),
                ('addresses', models.ManyToManyField(blank=True, to='jobs.address')),
                ('architect', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='architect_jobs', to='jobs.company')),
                ('contacts', models.ManyToManyField(blank=True, to='jobs.contact')),
                ('contractor', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='contractor_jobs', to='jobs.company')),
                ('customer', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='customer_jobs', to='jobs.company')),
                ('engineers', models.ManyToManyField(blank=True, related_name='engineer_jobs', to='jobs.company')),
                ('eor', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='eor_jobs', to='jobs.company', verbose_name='engineer of record')),
                ('installers', models.ManyToManyField(blank=True, related_name='installer_jobs', to='jobs.company')),
            ],
            options={
                'ordering': ['-number'],
            },
        ),
        migrations.CreateModel(
            name='ProjectManager',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('email', models.EmailField(blank=True, max_length=254)),
            ],
            options={
                'ordering': ['name'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Stair',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('alt_name', models.CharField(blank=True, max_length=100, null=True)),
                ('grid', models.CharField(blank=True, max_length=100)),
                ('levels', models.CharField(blank=True, max_length=100)),
                ('flights', models.IntegerField(default=0)),
                ('stringer_type', models.CharField(choices=[('C', 'C Channel'), ('MC', 'MC Channel'), ('PL', 'Plate'), ('CU', 'Custom')], default='PL', max_length=2)),
                ('stringer_custom', models.CharField(blank=True, max_length=50)),
                ('stair_con', models.CharField(choices=[('PF', 'Pan-filled'), ('CP', 'Checker'), ('PC', 'Precast'), ('GT', 'Grating'), ('CU', 'Custom'), ('BO', 'By other')], default='PF', max_length=2, verbose_name='stair construction')),
                ('stair_con_custom', models.CharField(blank=True, max_length=50, verbose_name='custom stair construction')),
                ('stair_qt', models.BooleanField(default=False, verbose_name='stair quiet tread')),
                ('landings', models.IntegerField(default=0)),
                ('land_con', models.CharField(choices=[('PF', 'Pan-filled'), ('CP', 'Checker'), ('PC', 'Precast'), ('GT', 'Grating'), ('CU', 'Custom'), ('BO', 'By other')], default='PF', max_length=2, verbose_name='landing construction')),
                ('land_con_custom', models.CharField(blank=True, max_length=50, verbose_name='custom landing construction')),
                ('land_qt', models.BooleanField(default=False, verbose_name='landing quiet tread')),
                ('rail_type', models.CharField(choices=[('1', '100 Pipe'), ('2', '200 Pipe'), ('3', '300 Rec Tube'), ('4', '400 Picket'), ('5', '500 Mesh'), ('6', '600 Cable'), ('7', '700 Rod'), ('8', '800 Glass'), ('W', 'Wall rail only'), ('C', 'Custom'), ('B', 'By other')], default='2', max_length=1)),
                ('rail_type_custom', models.CharField(blank=True, max_length=50)),
                ('stn', models.CharField(blank=True, max_length=50, verbose_name='STN')),
                ('stn_note', models.CharField(blank=True, max_length=200, null=True, verbose_name='STN note')),
                ('finish', models.CharField(choices=[('rodda red oxide', 'Rodda Red Oxide'), ('rodda black', 'Rodda Black'), ('rodda grey', 'Rodda Grey'), ('rodda high solids red oxide', 'Rodda High Solids Red Oxide'), ('rodda high solids black', 'Rodda High Solids Black'), ('rodda high solids grey', 'Rodda High Solids Grey'), ('galvanized', 'Galvanized'), ('custom', 'Custom')], default='rodda red oxide', max_length=50)),
                ('finish_custom', models.CharField(blank=True, max_length=50)),
                ('stair_fabs', models.DateField(blank=True, help_text='N/A when 0 flights or flights B/O', null=True, verbose_name='stair fabs done')),
                ('land_fabs', models.DateField(blank=True, help_text='N/A when 0 lands or lands B/O', null=True, verbose_name='land fabs done')),
                ('rail_fabs', models.DateField(blank=True, help_text='N/A when rails B/O', null=True, verbose_name='rail fabs done')),
                ('stairs_shop', models.DateField(blank=True, help_text='N/A when 0 flights or flights B/O', null=True, verbose_name='stairs to shop')),
                ('lands_shop', models.DateField(blank=True, help_text='N/A when 0 lands or lands B/O', null=True, verbose_name='lands to shop')),
                ('rails_shop', models.DateField(blank=True, help_text='N/A when rails B/O', null=True, verbose_name='rails to shop')),
                ('embeds_shop', models.DateField(blank=True, null=True, verbose_name='embeds to shop')),
                ('embeds_na', models.BooleanField(default=False, verbose_name='Embeds not applicable')),
                ('on_hold', models.BooleanField(default=False)),
                ('on_hold_note', models.CharField(blank=True, max_length=200, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Transmittal',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.CharField(max_length=200)),
                ('to_engr', models.DateField(verbose_name='sent to engineer')),
                ('due_from_engr', models.DateField(blank=True, null=True, verbose_name='due from engineer')),
                ('rec_from_engr', models.DateField(blank=True, null=True, verbose_name='received from engineer')),
                ('submitted', models.DateField(blank=True, null=True, verbose_name='submitted')),
                ('rec_from_cust', models.DateField(blank=True, null=True, verbose_name='received from customer')),
                ('response', models.CharField(blank=True, choices=[('NC', 'Approved'), ('AN', 'Approved as noted'), ('RR', 'Revise and resubmit'), ('U', 'Update')], max_length=2)),
                ('for_record', models.BooleanField(default=False)),
                ('job', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='jobs.job')),
                ('stairs', models.ManyToManyField(to='jobs.stair')),
            ],
        ),
        migrations.CreateModel(
            name='Detailer',
            fields=[
            ],
            options={
                'ordering': ['first_name'],
                'proxy': True,
                'indexes': [],
                'constraints': [],
            },
            bases=('auth.user',),
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
        migrations.CreateModel(
            name='TransmittalOverride',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('response', models.CharField(choices=[('NC', 'Approved'), ('AN', 'Approved as noted'), ('RR', 'Revise and resubmit'), ('U', 'Update')], max_length=2)),
                ('stairs', models.ManyToManyField(to='jobs.stair')),
                ('transmittal', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='jobs.transmittal')),
            ],
        ),
        migrations.CreateModel(
            name='Task',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.CharField(blank=True, max_length=100, null=True)),
                ('stage', models.CharField(choices=[('SUB', 'Submittal'), ('FAB', 'Fab')], max_length=3)),
                ('due', models.DateField(blank=True, null=True)),
                ('done', models.BooleanField(default=False)),
                ('detailer', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='jobs.detailer')),
                ('job', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='jobs.job')),
                ('stairs', models.ManyToManyField(to='jobs.stair')),
            ],
            options={
                'ordering': ['done', 'due', '-id'],
            },
        ),
        migrations.CreateModel(
            name='Submittal',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('number', models.IntegerField(default=1)),
                ('name', models.CharField(blank=True, max_length=100, null=True)),
                ('job', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='jobs.job')),
            ],
        ),
        migrations.AddField(
            model_name='stair',
            name='submittal',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='jobs.submittal'),
        ),
        migrations.CreateModel(
            name='JobNote',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateTimeField(auto_now=True)),
                ('note', models.TextField(max_length=1000)),
                ('job', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='jobs.job')),
            ],
        ),
        migrations.CreateModel(
            name='JobDate',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateField()),
                ('description', models.CharField(max_length=200)),
                ('note', models.CharField(blank=True, max_length=200, null=True)),
                ('job', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='jobs.job')),
            ],
        ),
        migrations.AddField(
            model_name='job',
            name='project_manager',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='jobs.projectmanager'),
        ),
        migrations.CreateModel(
            name='Construction',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('style', models.CharField(choices=[('concrete', 'Concrete'), ('steel', 'Steel'), ('wood', 'Wood'), ('custom', 'Custom')], max_length=20)),
                ('style_custom', models.CharField(blank=True, max_length=100, null=True)),
                ('scope', models.CharField(blank=True, max_length=100, null=True)),
                ('job', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='jobs.job')),
            ],
        ),
    ]
