# Generated by Django 4.2.4 on 2024-02-22 18:31

from django.db import migrations, models

def move_companies(apps, schema_editor):
    Job = apps.get_model('jobs', 'Job')
    for job in Job.objects.all():
        if job.contractor:
            job.contractors.add(job.contractor)
        if job.architect:
            job.architects.add(job.architect)
        if job.eor:
            job.eors.add(job.eor)
        if job.customer:
            job.customers.add(job.customer)

def backward(*args):
    pass

class Migration(migrations.Migration):

    dependencies = [
        ('jobs', '0004_alter_transmittal_to_engr'),
    ]

    operations = [
        migrations.AddField(
            model_name='job',
            name='architects',
            field=models.ManyToManyField(blank=True, related_name='jobs_as_architect', to='jobs.company'),
        ),
        migrations.AddField(
            model_name='job',
            name='contractors',
            field=models.ManyToManyField(blank=True, related_name='jobs_as_contractor', to='jobs.company'),
        ),
        migrations.AddField(
            model_name='job',
            name='customers',
            field=models.ManyToManyField(blank=True, related_name='jobs_as_customer', to='jobs.company'),
        ),
        migrations.AddField(
            model_name='job',
            name='eors',
            field=models.ManyToManyField(blank=True, related_name='jobs_as_eor', to='jobs.company', verbose_name='engineer of record'),
        ),
        migrations.RunPython(move_companies, backward),
    ]
