from django.urls import path, include
from . import views

app_name = 'jobs'

urlpatterns = [
    path('', views.JobIndexView.as_view(), name='job_index'),
    path('archive/', views.JobArchiveView.as_view(), name='job_archive'),
    path('jobs/<int:pk>/', views.JobDetailView.as_view(), name='job_detail'),
    path(
        'detailers/<int:pk>/',
        views.DetailerDetailView.as_view(),
        name='detailer_detail',
    ),
    path(
        'project-managers/<int:pk>/',
        views.PMDetailView.as_view(),
        name='pm_detail',
    ),
    path(
        'companies/<int:pk>/',
        views.CompanyDetailView.as_view(),
        name='company_detail',
    ),
    path('u/', include('django.contrib.auth.urls')),
    path('tasks/<int:pk>/complete', views.complete_task, name='complete_task'),
    path('jobreport/', views.job_report, name='job_report'),

    path('ajax/current-messages', views.current_messages, name='current_messages'),
    path('ajax/sub_scope/<int:pk>', views.sub_scope, name='sub_scope'),
    path('ajax/sub_scope_total/<int:pk>', views.sub_scope_total, name='sub_scope_total'),
    path('ajax/sub_update_order/<int:job_pk>', views.sub_update_order, name='sub_update_order'),
    path('ajax/stair_scope_row/<int:pk>', views.stair_scope_row, name='stair_scope_row'),
    path('ajax/stair_scope_row_add', views.stair_scope_row_add, name='stair_scope_row_add'),
    path('ajax/sub_calendar/<int:job_pk>', views.sub_calendar, name='sub_calendar'),
    path('ajax/transmittal_row/<int:pk>', views.transmittal_row, name='transmittal_row'),
]
